#include<iostream>
#include<string>
#include<vector>
#include<algorithm>
using namespace std;


int main(){
    int n, k;

    cin >> n >> k;

    vector<int> stands(n);

    for(int i = 0; i < n; i++){
        cin >> stands[i];
    }

    sort(stands.begin(), stands.end());


    vector<int> shifts(n);

    for(int i = 0; i < n; i++){
        shifts[i] = stands[i] - (k * i); 
    }

    sort(shifts.begin(), shifts.end());

    int shift = shifts[n / 2];

    int dist = 0;
    int sh;

    for(int i = 0; i < n; i++){
        sh = (shift + (i * k)) - stands[i];
        if(sh < 0){
            dist += -sh;
        }
        else{
            dist += sh;
        }
    }

    cout << dist << endl;
    return 0;
}